#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	UNIVERSAL
%define	pnam	require
Summary:	UNIVERSAL::require - require() modules from a variable
Summary(pl.UTF-8):	UNIVERSAL::require - wymaganie modułów ze zmiennej
Name:		perl-UNIVERSAL-require
Version:	0.15
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/UNIVERSAL/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	17c605c17f9135a5e3e5fc542d9a3363
URL:		http://search.cpan.org/dist/UNIVERSAL-require/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Conflicts:	perl-UNIVERSAL-exports < 0.03-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you've ever had to do this...

eval "require $module";

to get around the bareword caveats on require(), this module is for
you. It creates a universal require() class method that will work with
every Perl module and it's secure. So instead of doing some arcane
eval() work, you can do this:

$module->require;

%description -l pl.UTF-8
Jeśli kiedykolwiek było nam potrzebne...

eval "require $module";

do obejścia przeciwności require(), ten moduł jest dla nas. Tworzy
uniwersalną metodę klasy require() działającą z każdym modułem Perla,
a jednocześnie bezpieczną. Czyli zamiast wykonywania jakichś tajemnych
działań z eval(), można zrobić:

$module->require;

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/UNIVERSAL/*.pm
%{_mandir}/man3/*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-UNIVERSAL-require.git;a=log;h=master

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ed2c06f
- up to 0.15

* Thu Aug 27 2009 amateja <amateja@pld-linux.org> 065a38f
- updated to 0.13

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 394119d
- generic URL

* Sat Oct 27 2007 radek <radek@pld-linux.org> b8334e6
- version 0.11

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4a16e79
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 90f3e56
- converted to UTF-8

* Fri Aug 25 2006 Elan Ruusamäe <glen@pld-linux.org> c0e6a37
- resolved(!) conflict with perl-UNIVERSAL-exports; rel 2

* Tue Nov 15 2005 Jakub Bogusz <qboosh@pld-linux.org> a77b170
- pl(?)

* Mon Nov 07 2005 migo <migo@pld-linux.org> 08cb4fa
- initial revision
- UNIVERSAL::require is now separated from UNIVERSAL-exports package. But
  UNIVERSAL-exports still contain UNIVERSAL::require...

